GET /pool/{uuid}/runtime/server/

GET /pool/{uuid}/runtime/server/

/pool/{uuid}/runtime/server/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/runtime/server
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServerRuntimeSummary of type(s) application/json
{
    "get_state": false,
    "health_monitor_list": {
        "health_monitor": [
            {
                "avg_response_time": 0,
                "failure_code": "string",
                "name": "string",
                "reason": "string",
                "recent_response_time": 0,
                "state": "string"
            }
        ]
    },
    "hostname": "string",
    "ip_addr": {
        "addr": "string",
        "type": "string"
    },
    "is_local": false,
    "is_standby": false,
    "location": {
        "latitude": "number",
        "longitude": "number",
        "name": "string",
        "tag": "string"
    },
    "oper_status": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": [
            "string"
        ],
        "reason_code": 0,
        "reason_code_string": "string",
        "state": "string"
    },
    "port": 0,
    "resolve_server_by_dns": false,
    "se_uuid": "string",
    "vs_uuid": "string"
}
boolean
get_state
Optional

Flag set by the non-owner Service Engines to indicate that they need to get state for this server from Controller. Field introduced in 18.2.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
health_monitor_list
Optional

health_monitor_list

string
hostname
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
ip_addr
Required  

ip_addr

boolean
is_local
Optional
Constraints: default: true

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
is_standby
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
location
Optional

location

object
oper_status
Required  

oper_status

integer As int32 As int32
port
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
resolve_server_by_dns
Optional

Flag used to indicate if server or GS member hostname is resolved by DNS. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
vs_uuid
Optional

VirtualService member in case this server is a member of GS group. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/runtime/server